"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _callFunc = _interopRequireDefault(require("call-func"));
// @ts-check

/**
 * @typedef {Object<sinon,any>} StateType
 */
/**
 * @typedef {import("reshow-flux-base").ActionObject} ActionObject
 */

/**
 * @param {function} func
 * @param {string} pool
 * @returns {function(StateType, ActionObject): StateType}
 */
var heeding = function heeding(func, pool) {
  return function (state, action) {
    if ((state === null || state === void 0 ? void 0 : state.get("nextEmit")) === pool) {
      (0, _callFunc["default"])(func, [state, action]);
    }
    return state;
  };
};
var _default = exports["default"] = heeding;
module.exports = exports.default;