// @ts-check
import { getDateObject } from "get-random-id";

/**
 * @param {number} i
 */
var fixDigit = function fixDigit(i) {
  return i < 10 ? 0 + "" + i : i;
};

/**
 * @param {string=} s 
 */
var getTime = function getTime(s) {
  var date = getDateObject(s);
  var arr = [date.getUTCFullYear(), date.getUTCMonth() + 1, date.getUTCDate(), date.getUTCHours(), date.getUTCMinutes(), date.getUTCSeconds()].map(function (v) {
    return fixDigit(v);
  });
  return {
    toArray: function toArray() {
      return arr;
    },
    toString: function toString() {
      return [arr.slice(0, 3).join("-"), "T", arr.slice(3).join(":"), "Z"].join("");
    }
  };
};
export default getTime;