// @ts-check

import callfunc from "call-func";

/**
 * @typedef {Object<sinon,any>} StateType
 */
/**
 * @typedef {import("reshow-flux-base").ActionObject} ActionObject
 */

/**
 * @param {function} func
 * @param {string} pool
 * @returns {function(StateType, ActionObject): StateType}
 */
var heeding = function heeding(func, pool) {
  return function (state, action) {
    if ((state === null || state === void 0 ? void 0 : state.get("nextEmit")) === pool) {
      callfunc(func, [state, action]);
    }
    return state;
  };
};
export default heeding;